Table of Contents

## Name

XtDisplay, XtDisplayOfObject, XtScreen, XtScreenOfObject, XtWindow, XtWindowOfObject - obtain window information about a widget

## Syntax

Display *XtDisplay(w)
Widget w;

Display *XtDisplayOfObject(object)
Widget object;

Screen *XtScreen(w)
Widget w;

Screen *XtScreenOfObject(object)
Widget object;

Window XtWindow(w)
Widget w;

Window XtWindowOfObject(object)
Widget object;

## Arguments

w
  Specifies the widget.

object
  Specifies the widget.

## Description

XtDisplay returns the display pointer for the specified widget.

XtDisplayOfObject returns the display pointer for the specified object.

XtScreen returns the screen pointer for the specified widget.

XtScreenOfObject returns the screen pointer for the specified object.

XtWindow returns the window of the specified widget.

XtWindowOfObject returns the window of the specified object.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also